Skip to main content
`Ctrl`+`K`

# TaoGetTotalIterationNumber

Gets the total number of `TaoSolve()` iterations completed. This number keeps accumulating if multiple solves are called with the `Tao` object.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetTotalIterationNumber(Tao tao, PetscInt *iter)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- iter - number of iterations

## Note

The total iteration count is updated after each solve, if there is a current `TaoSolve()` in progress then those iterations are not included in the count

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetLinearSolveIterations()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages